#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libpeas-1.30.0

- Next

  evolution-data-server-3.42.4

- Up
- Home

# libwnck-40.1

## Introduction to libwnck

The libwnck package contains the Window Navigator Construction Kit.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libwnck/40/libwnck-40.1.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libwnck/40/libwnck-40.1.tar.xz

- Download MD5 sum: 14e61fce883f0bad83eaae662dd402f4

- Download size: 448 KB

- Estimated disk space required: 9.8 MB

- Estimated build time: less than 0.1 SBU

### libwnck Dependencies

#### Required

GTK+-3.24.31

#### Recommended

gobject-introspection-1.70.0 and startup-notification-0.12

#### Optional

GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libwnck

## Installation of libwnck

Install libwnck by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=true`: Use this option to build the API reference manual.

## Contents

Installed Program: wnckprop and wnck-urgency-monitor
Installed Library: libwnck-3.so
Installed Directories: /usr/include/libwnck-3.0 and /usr/share/gtk-doc/html/libwnck-3.0

### Short Descriptions

wnckprop | is used to print or modify the properties of a screen/workspace/window, or to interact with it
`libwnck-3.so` | contains functions for writing pagers and task lists

Last updated on

- Prev

  libpeas-1.30.0

- Next

  evolution-data-server-3.42.4

- Up
- Home